#ifndef CONFIG_H
#define CONFIG_H


/*
 *      Languages (define only one):
 */
#define PROG_LANGUAGE_ENGLISH           1
/* #define PROG_LANGUAGE_SPANISH        2 */
/* #define PROG_LANGUAGE_FRENCH         3 */
/* *incomplete* #define PROG_LANGUAGE_GERMAN    4 */
/* *incomplete* #define PROG_LANGUAGE_ITALIAN   5 */
/* *incomplete* #define PROG_LANGUAGE_DUTCH     6 */
/* *incomplete* #define PROG_LANGUAGE_NORWEGIAN 7 */
/* *incomplete* #define PROG_LANGUAGE_PORTUGUESE        8 */
/* #define PROG_LANGUAGE_POLISH         9 */


/*
 *	Program name and version:
 */
#define PROG_NAME			"IFMon"
#define PROG_VERSION			"2.2.1"

#define PROG_VERSION_MAJOR		2
#define PROG_VERSION_MINOR		2
#define PROG_VERSION_RELEASE		1

/*
 *      Copyright message:
 */
#if defined(PROG_LANGUAGE_SPANISH)
#define PROG_COPYRIGHT  "\
El derecho de autor (C) 1997-2009 WolfPack Entertainment.\n\
Este programa es protegido por leyes internacionales de derecho de autor\n\
y tratados, la distribucin y/o la modificacin de este software en la\n\
infraccin de la Licencia del Pblico de GNU se prohiben estrictamente.\n\
Violators ser procesado a la extensin ms repleta de la ley.\n"
#elif defined(PROG_LANGUAGE_FRENCH)
#define PROG_COPYRIGHT  "\
Dposer (C) 1997-2009 WolfPack Entertainment.\n\
Ce programme est protg par international dpose lois et traits, \n\
distribution et/ou de ce logiciel dans violation du GNU Public Permis\n\
strictement est interdit. Violators sera poursuivi  l'tendue plus pleine\n\
de la loi.\n"
#elif defined(PROG_LANGUAGE_GERMAN)
#define PROG_COPYRIGHT  "\
Urheberrecht (C) 1997-2009 WolfPack Entertainment.\n\
Dieses Programm wird von internationalem Urheberrecht Gesetzen und\n\
Vertrgen, Austeilung bzw. nderung dieser Software in bertretung\n\
DER GNU ffentlichkeit Erlaubnis streng verboten wird geschtzt.\n\
Verletzer werden zum vollsten Umfang des Gesetzes strafrechtlich\n\
verfolgt werden.\n"
#elif defined(PROG_LANGUAGE_ITALIAN)
#define PROG_COPYRIGHT  "\
Il copyright (C) 1997-2009 WolfPack Entertainment.\n\
Questo programma  protetto dalle leggi di copyright internazionali e\n\
dai trattati, la distribuzione e/o la modifica di questo software nella\n\
violazione dello GNU la Licenza Pubblica  strettamente proibita. Il\n\
Violators sar perseguito all'estensione la pi piena della legge.\n"
#elif defined(PROG_LANGUAGE_DUTCH)
#define PROG_COPYRIGHT  "\
Auteursrecht (C) 1997-2009 WolfPack Entertainment.\n\
Deze programma wordt door internationale auteursrecht wetten en\n\
verdragen, verdeling en/of wijziging van deze software in overtreding\n\
van de GNU Publiek Vergunning strikt verboden wordt beschermd.\n\
Overtreders zullen te de volste omvang van de wet geprocedeerd worden.\n"
#elif defined(PROG_LANGUAGE_PORTUGUESE)
#define PROG_COPYRIGHT  "\
Os direitos autorais (C) 1997-2009 WolfPack Entertainment.\n\
Este programa  protegido por direitos internacionais leis autorais e\n\
tratados, modificao de e/ou de distribuio deste software em infrao\n\
do GNU Licena Pblica precisamente  proibida. O Violators ser\n\
processado  plena extenso da lei.\n"
#elif defined(PROG_LANGUAGE_NORWEGIAN)
#define PROG_COPYRIGHT  "\
Copyright (C) 1997-2009 WolfPack Entertainment.\n\
Dette programet beskytter av internasjonal copyrightlover og traktater,\n\
distribusjon og/eller modifikasjon av denne programvaren i overtredelse\n\
av GNU Public License er streng forbudt. Violators tiltalt til den\n\
fulleste omfang av loven.\n"
#else
#define PROG_COPYRIGHT  "\
Copyright (C) 1997-2009 WolfPack Entertainment.\n\
This program is protected by international copyright laws and treaties,\n\
distribution and/or modification of this software in violation of the\n\
GNU Public License is strictly prohibited. Violators will be prosecuted\n\
to the fullest extent of the law.\n"
#endif


/*
 *	Standard output help message:
 */
#ifdef PROG_HELP_MESG
# undef PROG_HELP_MESG
#endif

#define PROG_HELP_MESG  "\
Usage: ifmon [interface] [options] [GUI_options]\n\
       ifmon --list\n\
\n\
    The [interface] specifies the name of the interface to monitor.\n\
\n\
    The [options] can be any of the following:\n\
\n\
        --bandwidth <bytes/sec> Specifies the connection speed in bytes\n\
                                per second (default is 7075, which is\n\
                                56.6kbs). Specifying this value\n\
                                overrides the use of any connection\n\
                                speed value obtained with --report-path.\n\
        --speed                 Same as --bandwidth.\n\
        -b                      Same as --bandwidth.\n\
        -B <bits/sec>           Specifies the connection speed in bits\n\
                                per second (default is 56600, which is\n\
                                56.6kbs). Specifying this value\n\
                                overrides the use of any connection\n\
                                speed value obtained with --report-path.\n\
\n\
	--no-border             Do not display a border.\n\
	--no-borders            Same as --no-border.\n\
        -w                      Same as --no-border.\n\
\n\
	--no-title-bar          Do not display a title bar.\n\
	--no-title              Same as --no-title-bar.\n\
	-t                      Same as --no-title-bar.\n\
\n\
        --static-wm-icon        Do not animate the Window Manager icon\n\
                                (use this if your Window Manager is\n\
                                having problems displaying the icon).\n\
        -y                      Same as --still-wm-icon.\n\
\n\
	-o <orientation>        Specifies the orientation, one of:\n\
					horizontal\n\
					vertical\n\
\n\
	-d <s1 s2 s3 ...>       Specifies the widgets to display, a\n\
                                space-separated list of any of:\n\
					state\n\
                                        traffic_history_graph\n\
					traffic_gauges\n\
				(default is \"state traffic_gauges\").\n\
\n\
	--gauge-style <style>   Specifies the traffic gauge style,\n\
                                one of:\n\
					continuous\n\
					leds\n\
					gradient_leds\n\
                                (default is continuous).\n\
        -s                      Same as --gauge-style.\n\
	--length <length>       Specifies the gauge length in pixels\n\
                                (default is 112).\n\
        -l                      Same as --length.\n\
	--ticks <n>             Specifies the number of ticks to display\n\
                                on the gauge (default is 8).\n\
        -n                      Same as --ticks.\n\
\n\
	-i <interval>           Specifies the interval in milliseconds\n\
                                in which to get and display the\n\
                                interface's statistics (default is 250).\n\
\n\
        --report-path <path>    Specifies the path to the chat(8)\n\
                                report file containing the \"CONNECT\"\n\
                                string that will be used to obtain\n\
                                connection information (see chat(8) for\n\
                                more information). This option has no\n\
                                default value, omitting this option will\n\
                                result in no connection information\n\
                                being obtained or displayed.\n\
        --report                Same as --report-path.\n\
        -r                      Same as --report-path.\n\
\n\
        --connect-command <command>   Specifies the command to be\n\
                                executed for the connect function.\n\
        --connect               Same as --connect-command.\n\
        --disconnect-command <command>   Specifies the command to be\n\
                                executed for the disconnect function.\n\
        --disconnect            Same as --disconnect-command.\n\
        --reconnect-command <command>   Specifies the command to be\n\
                                executed for the reconnect function.\n\
        --reconnect             Same as --reconnect-command.\n\
\n\
        --list                  Prints a list of all interfaces that\n\
                                are currently up and exits.\n\
\n\
	--help                  Prints this help screen and exits.\n\
	--version               Prints version information and exits.\n\
\n\
    The [GUI_options] can be any options standard to your GUI,\n\
    consult your GUI's manual for available options.\n\
\n"


/*
 *	Default Paths:
 */
#ifndef _PATH_PROC_NET_DEV
# define _PATH_PROC_NET_DEV		"/proc/net/dev"
#endif
#ifndef _PATH_PROC_NET_ROUTE
# define _PATH_PROC_NET_ROUTE		"/proc/net/route"
#endif


/*
 *	Interface Configuration Program:
 */
#ifndef PROG_IFCONFIG
# define PROG_IFCONFIG			"/sbin/ifconfig"
#endif

/*
 *	Environment Variable Names:
 */
#define ENV_VAR_NAME_SHELL             "SHELL"


/*
 *	Default Interface Name:
 */
#define IFM_DEF_INTERFACE_NAME		"ppp0"

/*
 *	Default Connection Speed (in bytes per second):
 */
#define IFM_DEF_BANDWIDTH		7075
#define IFM_MIN_BANDWIDTH		8


/*
 *	Legend:
 *
 *	IFM_WIN			= Console
 *	IFM_PROP_DLG		= Details Dialog
 */

/*
 *	Traffic Gauge Defaults:
 *
 *	See ifm_win_gauge.h for identifier declarations.
 */
#define IFM_WIN_DEF_GAUGE_STYLE		IFM_WIN_GAUGE_STYLE_CONTINUOUS
#define IFM_WIN_DEF_GAUGE_LENGTH	112
#define IFM_WIN_DEF_GAUGE_TICKS		8
#define IFM_WIN_MAX_GAUGE_TICKS		128

/*
 *	IFMWin Update & Display Statistics Default Interval (in
 *	milliseconds):
 */
#define IFM_WIN_DEF_STATS_UPDATE_INTERVAL	\
					250
#define IFM_WIN_MIN_STATS_UPDATE_INTERVAL	\
					8

/*
 *	Console Update & Display State Default Interval (in
 *	milliseconds):
 */
#define IFM_WIN_DEF_STATE_UPDATE_INTERVAL	\
					2500


/*
 *	Window Manager Class Name:
 */
#define IFM_WM_CLASS_NAME		PROG_NAME


/*
 *	Window Manager Window Names:
 */
#define IFM_WIN_WM_WINDOW_NAME		"console"
#define IFM_PROP_DLG_WM_WINDOW_NAME	"details"


/*
 *	GtkWidget Names:
 */
#define IFM_WIN_TOPLEVEL_WIDGET_NAME	"ifmon-console"
#define IFM_WIN_INTERFACE_STATE_TOPLEVEL_WIDGET_NAME	\
					"interface-state"
#define IFM_WIN_TRAFFIC_HISTORY_TOPLEVEL_WIDGET_NAME	\
					"traffic-history"
#define IFM_WIN_TRAFFIC_HISTORY_GRAPH_WIDGET_NAME	\
					"traffic-history-graph"
#define IFM_WIN_TRAFFIC_GAUGES_TOPLEVEL_WIDGET_NAME	\
					"traffic-gauges"
#define IFM_WIN_TX_TRAFFIC_GAUGE_WIDGET_NAME	\
					"tx-traffic-gauge"
#define IFM_WIN_RX_TRAFFIC_GAUGE_WIDGET_NAME	\
					"rx-traffic-gauge"

/* Note that the C name spaces for this dialog refer to it as a
 * properties dialog (IFMPropDlg) but the displayed name to the user
 * is the Details Dialog
 */
#define IFM_PROP_DLG_TOPLEVEL_WIDGET_NAME	\
					"ifmon-details-dialog"
#define IFM_PROP_DLG_GENERAL_PAGE_TOPLEVEL	\
					"general-page-toplevel"
#define IFM_PROP_DLG_TX_TRAFFIC_HISTORY_GRAPH_WIDGET_NAME	\
					"tx-traffic-history-graph"
#define IFM_PROP_DLG_RX_TRAFFIC_HISTORY_GRAPH_WIDGET_NAME	\
					"rx-traffic-history-graph"
#define IFM_PROP_DLG_STATISTICS_PAGE_TOPLEVEL	\
					"statistics-page-toplevel"
#define IFM_PROP_DLG_CONFIGURATION_PAGE_TOPLEVEL	\
					"configuration-page-toplevel"
#define IFM_PROP_DLG_ROUTE_PAGE_TOPLEVEL	\
					"route-page-toplevel"


/*
 *	Console Traffic Gauge Label Width:
 *
 *	Horizontal orientation only.
 */
#define IFM_WIN_TRAFFIC_GAUGE_LABEL_WIDTH	\
					20


/*
 *	0	No debug.
 *	1	Major resource creation/deletion and low-performance
 *		function calls.
 *	2	Minor resource creation/deletion and medium performance
 *		function calls.
 *	3	High performance (redraws, get stats, get state) function
 *		calls.
 */
#define IFM_DEBUG_LEVEL			0


#endif	/* CONFIG_H */
