/*
			   Connection Information
 */

#ifndef IF_CON_INFO_H
#define IF_CON_INFO_H

#include <glib.h>


/*
 *	Connection Information:
 */
typedef struct {
	gulong		speed_bits_per_sec,
			start_time_sec;		/* In seconds since EPOCH */

	gchar		flags_string[256];	/* Null-terminated string
						 * describing the flags,
						 * each flag is deliminated
						 * by a '/' character */
} IFConInfo;
#define IF_CON_INFO(p)			((IFConInfo *)(p))


/*
 *	Reads and obtains connection information from the chat(8) report
 *	file.
 */
extern gint if_get_con_info_from_chat_report(
	const gchar *chat_report_path,
	const gchar *if_name,
	IFConInfo *con_info_buf
);


#endif	/* IF_CON_INFO_H */
