/*
		   Interface Monitor - Tooltip Messages
 */

#ifndef IFM_TOOLTIP_MESSAGES_H
#define IFM_TOOLTIP_MESSAGES_H

#include "config.h"


/* Statistics */
#define IFM_TTM_TX_BYTES		"Total number of bytes\
 transmitted"
#define IFM_TTM_RX_BYTES		"Total number of bytes received"

#define IFM_TTM_TX_PACKETS		"Total number of packets\
 transmitted"
#define IFM_TTM_RX_PACKETS		"Total number of packets\
 received"

#define IFM_TTM_TX_ERRORS		"Number of packets encountered\
 that are of invalid or insufficient size"
#define IFM_TTM_RX_ERRORS		"Number of packets received that\
 are of invalid or insufficient size"

#define IFM_TTM_TX_DROPPED		"Number of packets discarded due\
 to insufficient system resources or memory"
#define IFM_TTM_RX_DROPPED		"Number of packets discarded due\
 to insufficient system resources or memory"

#define IFM_TTM_TX_FIFO			"Number of FIFO buffer errors\
 that have occured during transmission"
#define IFM_TTM_RX_FIFO			"Number of FIFO buffer errors\
 that have occured while receiving"

#define IFM_TTM_TX_COMPRESSED		"Number of compressed packets\
 transmitted"
#define IFM_TTM_RX_COMPRESSED		"Number of compressed packets\
 received"

#define IFM_TTM_RX_MULTICAST		"Number of multicast frames\
 received. Multicast frames are packets broadcasted to all receivers\
 that are tuned in to receive them"

#define IFM_TTM_TX_COLLISIONS		"Number of packets that have\
 collided while traversing the network, usually caused by network\
 congestion"

#define IFM_TTM_TX_CARRIER		"Number of digital to analog\
 modulation disruptions, usually caused by poor ethernet connections"

#define IFM_TTM_RX_FRAME		"Number of packets received\
 that are not multiples of 8 bits"


/* Connection */
#define IFM_TTM_CON_DURATION		"Total time the network device\
 has been connected"
#define IFM_TTM_CON_SPEED_KBPS		"Bandwidth of the connection\
 in units of kbps (thousands of bits per second)"
#define IFM_TTM_CON_FLAGS		"Network device to device\
 handshake attributes"


/* Configuration */
#define IFM_TTM_LINK_ENCAP		"Name of the interface's device\
 type"

#define IFM_TTM_INET_ADDR		"Machine's IP (Internet Protocol)\
 address on the Internet"
#define IFM_TTM_BCAST			"Source IP address of the machine\
 that is sending packets out to all tuned in listeners"
#define IFM_TTM_PTP			"IP address of the machine at the\
 other end of a point-to-point connection"
#define IFM_TTM_MASK			"Network mask (netmask) describing\
 the IP address range and size of the network"

#define IFM_TTM_MTU			"Maximum transmit unit, the\
 largest number of bytes allowed in a single frame/packet"
#define IFM_TTM_METRIC			"Packet routing priority of\
 the device or number of \"hops\" to the target"
#define IFM_TTM_TX_QUEUE_LEN		"Size of the device's transmit\
 queue in bytes"

#define IFM_TTM_INTERRUPT		"Interrupt request used for\
 IO (input/output) to/from the machine"

#define IFM_TTM_BASE_ADDRESS		"Starting address of the\
 IRQ (Interrupt ReQuest) used on the machine"

#define IFM_TTM_HW_ADDR			"Ethernet card's manufacturer\
 code and serial number, in the format MC:MC:MC:SN:SN:SN, where MC is\
 the manufacturer's oode and SN is the serial number"


#endif	/* IFM_TOOLTIP_MESSAGES_H */
