/*
		  Interface Monitor - Window - Graph
 */

#ifndef IFM_WIN_GRAPH_H
#define IFM_WIN_GRAPH_H

#include <gtk/gtk.h>

typedef struct _IFMWinGraph		IFMWinGraph;
#define IFM_WIN_GRAPH(p)		((IFMWinGraph *)(p))


/* IFMWinGraph */
extern IFMWinGraph *ifm_win_graph_new(
	GtkWidget *parent,
	const GtkDirectionType direction,
	const gchar *widget_name,
	const gchar *label_text,
	const gint width, const gint height,
	const gulong capacity_sec
);
extern GtkWidget *ifm_win_graph_get_drawing_area(IFMWinGraph *graph);
extern void ifm_win_graph_delete(IFMWinGraph *graph);

/* Resize */
extern void ifm_win_graph_resize(
	IFMWinGraph *graph,
	const gint width, const gint height
);

/* Draw */
extern void ifm_win_graph_draw(IFMWinGraph *graph);
extern void ifm_win_graph_queue_draw(IFMWinGraph *graph);

/* Record */
extern void ifm_win_graph_record(
	IFMWinGraph *graph,
	const gdouble elapsed_sec,
	const gfloat v
);


#endif	/* IFM_WIN_GRAPH_H */
